From 4a8627e970fd0899b5e1ebff21908574868f95c0 Mon Sep 17 00:00:00 2001
From: Robert Martin-Legene <robert@nic.ar>
Date: Thu, 10 Oct 2019 17:53:01 -0300
Subject: [PATCH] backwards compatibility

---
 bin/installbfa.sh | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/bin/installbfa.sh b/bin/installbfa.sh
index 5af9f0b..16dbc07 100755
--- a/bin/installbfa.sh
+++ b/bin/installbfa.sh
@@ -6,7 +6,7 @@ NODEJSPGP=0x68576280
 # for building, which we hope has more space.
 NEW=/home/root/new
 
-trap 'exit 1' ERR
+trap 'echo "The installation failed." >&2 ; exit 1' ERR
 set -o errtrace
 # Be verbose
 set -e
@@ -142,14 +142,13 @@ function gethinstall
 function initgenesis
 {
     (
-        test -z "${BFAHOME}"
         source ${BFAHOME}/bin/env
         BFANETWORKDIR=${BFANETWORKDIR:-${BFAHOME}/network}
         BFANODEDIR=${BFANODEDIR:-${BFANETWORKDIR}/node}
         if [ ! -d "${BFANODEDIR}" -o ! -d "${BFANODEDIR}/geth/chaindata" ]
         then 
             info "Node is not initialised. Initialising with genesis."
-            geth --cache 0 --datadir "${BFANODEDIR}" init "${BFANETWORKDIR}/genesis.json"
+            geth --network ${BFANETWORKID} --cache 0 --datadir "${BFANODEDIR}" init "${BFANETWORKDIR}/genesis.json"
         fi
     )
 }
-- 
GitLab